{% extends theme('base.html') %}
{% import 'macro/fomanticui.html' as sui %}

{%- block title -%}
    {%- trans %}View an authorization{% endtrans -%}
{%- endblock -%}

{% block submenu %}
    <nav class="ui bottom attached five item borderless menu">
        <a class="item" href="{{ url_for('admin.mail_index') }}">
            <i class="user mail icon"></i>
            {% trans %}Emails{% endtrans %}
        </a>
        <a class="item" href="{{ url_for('oidc.clients.index') }}">
            <i class="th list icon"></i>
            {% trans %}Clients{% endtrans %}
        </a>
        <a class="item" href="{{ url_for('oidc.clients.add') }}">
            <i class="plus icon"></i>
            {% trans %}Add a client{% endtrans %}
        </a>
        <a class="item" href="{{ url_for('oidc.tokens.index') }}">
            <i class="key icon"></i>
            {% trans %}Tokens{% endtrans %}
        </a>
        <a class="active item" href="{{ url_for('oidc.authorizations.index') }}">
            <i class="user secret icon"></i>
            {% trans %}Codes{% endtrans %}
        </a>
    </nav>
{% endblock %}

{% block content %}
    <div class="loginform">
        <h3 class="ui top attached header">
            {% trans %}View an authorization{% endtrans %}
        </h3>

        <div class="ui attached clearing segment">
            <ul>
                {% for attr in authorization.may() %}
                    <li>{{ attr }}: {{ authorization[attr] }}</li>
                {% endfor %}
                {% for attr in authorization.must() %}
                    <li>{{ attr }}: {{ authorization[attr] }}</li>
                {% endfor %}
            </ul>
        </div>
    </div>
{% endblock %}
